diff --git a/pkgmngt/packInstall.sh.rpm b/pkgmngt/packInstall.sh.rpm
new file mode 100644
index 0000000..d89ce9c
--- /dev/null
+++ b/pkgmngt/packInstall.sh.rpm
@@ -0,0 +1,64 @@
+# $Id$
+# function for packing and installing a tree. We only have access
+# to variables PKGDIR and PKG_DEST
+# Other variables can be passed on the command line, or in the environment
+
+packInstall() {
+  # Get the name, version, release, and arch of the package
+  name=$(grep -m1 "^Name:" $1 | sed 's@Name: @@')
+  version=$(grep -m1 "^Version:" $1 | sed 's@Version: @@')
+  release=$(grep -m1 "^Release:" $1 | sed 's@Release: @@')
+  arch=$(uname -m)
+
+  # Move spec files into root's rpmbuild dir
+  mkdir -p /root/rpmbuild/SPECS
+  echo "Copying ${name}.spec to /root/rpmbuild/SPECS"
+  cp ${name}.spec /root/rpmbuild/SPECS
+  
+
+  # copy sources (rather than download again) into root's rpmbuild dir
+  mkdir -p /root/rpmbuild/SOURCES
+  for file in $(grep "^Source" "${1}" | cut -d ":" -f 2); do
+    filename=$(echo "${file}" | sed 's@ @@g')
+    echo "Copying /sources/${filename} to /root/rpmbuild/SOURCES"
+    cp "/sources/${filename}" /root/rpmbuild/SOURCES
+  done
+
+  # same thing for patches
+  mkdir -p /root/rpmbuild/SOURCES
+  for file in $(grep "^Patch" "${1}" | cut -d ":" -f 2); do
+    filename=$(echo "${file}" | sed 's@ @@g')
+    echo "Copying /sources/${filename} to /root/rpmbuild/SOURCES"
+    cp "/sources/${filename}" /root/rpmbuild/SOURCES
+  done
+
+  # Now build the thing
+  rpmbuild -ba --nodeps /root/rpmbuild/SPECS/${name}.spec
+
+  # Because files may already exist in the filesystem, just update the database
+  rpm --install --nodeps --justdb \
+      /root/rpmbuild/RPMS/${arch}/${name}-${version}-${release}.${arch}.rpm
+
+  # Finally, do the actual installation with replacepkgs
+  rpm --install --nodeps --replacepkgs \
+      /root/rpmbuild/RPMS/${arch}/${name}-${version}-${release}.${arch}.rpm
+
+  # Clean up the build and install directories
+  case ${name} in
+    xml-parser)
+      rm -rf /root/rpmbuild/BUILD/XML-Parser-*
+      rm -rf /root/rpmbuild/BUILDROOT/${name}*
+    ;;
+    libelf)
+      rm -rf /root/rpmbuild/BUILD/elfutils-*
+      rm -rf /root/rpmbuild/BUILDROOT/${name}*
+    ;;
+    linux-api-headers)
+      rm -rf /root/rpmbuild/BUILD/linux-*
+      rm -rf /root/rpmbuild/BUILDROOT/${name}*
+    ;;
+    *)
+      rm -rf /root/rpmbuild/BUILD{,ROOT}/${name}*
+    ;;
+  esac
+}
diff --git a/pkgmngt/packageManager.xml.pacman b/pkgmngt/packageManager.xml.pacman
index aa4e9ce..16cb844 100644
--- a/pkgmngt/packageManager.xml.pacman
+++ b/pkgmngt/packageManager.xml.pacman
@@ -9,18 +9,94 @@ book if you prefer. That slightly changes the aspect if you render
 it in html -->
 <!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-<!ENTITY libarchive-version "3.4.3">
-<!ENTITY curl-version       "7.71.1">
-<!ENTITY fakeroot-version   "1.24">
-<!ENTITY pacman-version     "5.2.2">
-<!ENTITY libarchive-url "https://github.com/libarchive/libarchive/releases/download/v&libarchive-version;/libarchive-&libarchive-version;.tar.xz">
-<!ENTITY curl-url       "https://curl.haxx.se/download/curl-&curl-version;.tar.xz">
-<!ENTITY fakeroot-url   "http://deb.debian.org/debian/pool/main/f/fakeroot/fakeroot_&fakeroot-version;.orig.tar.gz">
-<!ENTITY pacman-url     "https://sources.archlinux.org/other/pacman/pacman-&pacman-version;.tar.gz">
-<!ENTITY curl-md5       "b54b386057846ce3edd3584b19741569">
-<!ENTITY libarchive-md5 "4b216ea3015ecf8ae555a2026f9a6b73">
-<!ENTITY fakeroot-md5   "964e5f438f1951e5a515dd54edd50fa6">
-<!ENTITY pacman-md5     "3a9b078a83996a3272844807b91959c6">
+<!ENTITY curl-version         "7.78.0">
+<!ENTITY fakeroot-version     "1.25.3">
+<!ENTITY gnupg-version        "2.2.29">
+<!ENTITY gpgme-version        "1.16.0">
+<!ENTITY libarchive-version   "3.5.1">
+<!ENTITY libassuan-version    "2.5.5">
+<!ENTITY libgpg-error-version "1.42">
+<!ENTITY libgcrypt-version    "1.9.4">
+<!ENTITY libksba-version      "1.6.0">
+<!ENTITY libtasn1-version     "4.17.0">
+<!ENTITY libxml2-version      "2.9.12">
+<!ENTITY libxml2-testsuite-version "20130923">
+<!ENTITY make-ca-version      "1.8.1">
+<!ENTITY nettle-version       "3.7.3">
+<!ENTITY npth-version         "1.6">
+<!ENTITY p11-kit-version      "0.24.0">
+<!ENTITY pacman-version       "6.0.1">
+<!ENTITY pacman-contrib-version "1.4.0">
+<!ENTITY pacman-hooks-version "20210910">
+<!ENTITY pip-version          "21.1.3">
+<!ENTITY pth-version          "2.0.7">
+<!ENTITY setuptools-version   "56.0.0">
+<!ENTITY sqlite-version       "3.36.0">
+<!ENTITY sqlite-short-version "3360000">
+<!ENTITY unzip-version        "6.0">
+<!ENTITY curl-url           "https://curl.haxx.se/download/curl-&curl-version;.tar.xz">
+<!ENTITY fakeroot-url       "http://deb.debian.org/debian/pool/main/f/fakeroot/fakeroot_&fakeroot-version;.orig.tar.gz">
+<!ENTITY fakeroot-patch "fakeroot-&fakeroot-version;-glibc_fixes-1.patch">
+<!ENTITY fakeroot-patch-url "https://www.linuxfromscratch.org/~dj/&fakeroot-patch;">
+<!ENTITY fakeroot-chroot-patch "fakeroot-&fakeroot-version;-glibc_fixes-no_autoconf-1.patch">
+<!ENTITY fakeroot-chroot-patch-url "https://www.linuxfromscratch.org/~dj/&fakeroot-chroot-patch;">
+<!ENTITY gnupg-url          "https://www.gnupg.org/ftp/gcrypt/gnupg/gnupg-&gnupg-version;.tar.bz2">
+<!ENTITY gpgme-url          "https://www.gnupg.org/ftp/gcrypt/gpgme/gpgme-&gpgme-version;.tar.bz2">
+<!ENTITY libarchive-url     "https://github.com/libarchive/libarchive/releases/download/&libarchive-version;/libarchive-&libarchive-version;.tar.xz">
+<!ENTITY libassuan-url      "https://www.gnupg.org/ftp/gcrypt/libassuan/libassuan-&libassuan-version;.tar.bz2">
+<!ENTITY libgpg-error-url   "https://www.gnupg.org/ftp/gcrypt/libgpg-error/libgpg-error-&libgpg-error-version;.tar.bz2">
+<!ENTITY libgcrypt-url      "https://www.gnupg.org/ftp/gcrypt/libgcrypt/libgcrypt-&libgcrypt-version;.tar.bz2">
+<!ENTITY libksba-url        "https://www.gnupg.org/ftp/gcrypt/libksba/libksba-&libksba-version;.tar.bz2">
+<!ENTITY libtasn1-url       "https://ftp.gnu.org/gnu/libtasn1/libtasn1-&libtasn1-version;.tar.gz">
+<!ENTITY libxml2-url        "http://xmlsoft.org/sources/libxml2-&libxml2-version;.tar.gz">
+<!ENTITY libxml2-testsuite  "xmlts&libxml2-testsuite-version;.tar.gz">
+<!ENTITY libxml2-testsuite-url "https://www.w3.org/XML/Test/&libxml2-testsuite;">
+<!ENTITY make-ca-url        "https://github.com/djlucas/make-ca/releases/download/v&make-ca-version;/make-ca-&make-ca-version;.tar.xz">
+<!ENTITY nettle-url         "https://ftp.gnu.org/gnu/nettle/nettle-&nettle-version;.tar.gz">
+<!ENTITY npth-url           "https://www.gnupg.org/ftp/gcrypt/npth/npth-&npth-version;.tar.bz2">
+<!ENTITY p11-kit-url        "https://github.com/p11-glue/p11-kit/releases/download/0.24.0/p11-kit-0.24.0.tar.xz">
+<!ENTITY pacman-url         "https://sources.archlinux.org/other/pacman/pacman-&pacman-version;.tar.xz">
+<!ENTITY pacman-contrib-url "https://gitlab.archlinux.org/pacman/pacman-contrib/-/archive/v&pacman-contrib-version;/pacman-contrib-v&pacman-contrib-version;.tar.gz">
+<!ENTITY pip-url            "https://files.pythonhosted.org/packages/4d/0c/3b63fe024414a8a48661cf04f0993d4b2b8ef92daed45636474c018cd5b7/pip-&pip-version;.tar.gz">
+<!ENTITY pth-url            "https://ftp.gnu.org/gnu/pth/pth-&pth-version;.tar.gz">
+<!ENTITY setuptools-url     "https://files.pythonhosted.org/packages/f6/e9/19af16328705915233299f6f1f02db95899fb00c75ac9da4757aa1e5d1de/setuptools-&setuptools-version;.tar.gz">
+<!ENTITY sqlite-url         "https://sqlite.org/2021/sqlite-autoconf-&sqlite-short-version;.tar.gz">
+<!ENTITY sqlite-doc-url     "https://sqlite.org/2021/sqlite-doc-&sqlite-short-version;.zip">
+<!ENTITY unzip-url          "https://downloads.sourceforge.net/infozip/unzip60.tar.gz">
+<!ENTITY pacman-contrib-patch "pacman-contrib-&pacman-contrib-version;-fix_pacman6_no_autoconf-1.patch">
+<!ENTITY pacman-contrib-patch-url "https://www.linuxfromscratch.org/~dj/&pacman-contrib-patch;">
+<!ENTITY pacman-hooks-url   "https://linuxfromscratch.org/~dj/pacman-hooks-&pacman-hooks-version;.tar.xz">
+<!ENTITY unzip-patch        "unzip-6.0-consolidated_fixes-1.patch">
+<!ENTITY unzip-patch-url    "https://www.linuxfromscratch.org/patches/blfs/svn/&unzip-patch;">
+<!ENTITY curl-md5           "419c2461366cf404160a820f7a902b7e">
+<!ENTITY fakeroot-md5       "f6104ef6960c962377ef062bf222a1d2">
+<!ENTITY fakeroot-patch-md5 "9f7bf30389d8012752f3dce80feaa382">
+<!ENTITY fakeroot-chroot-patch-md5 "c1a4573bfed039c84a81159880922a86">
+<!ENTITY gnupg-md5          "5db3334b528cf756b1e583db01319a24">
+<!ENTITY gpgme-md5          "e31b9e0efc5a2e1ec1bbed22e7a082a4">
+<!ENTITY libarchive-md5     "2ba9f1f8c169aa9caf8e2d34dde323be">
+<!ENTITY libassuan-md5      "7194453152bb67e3d45da698762b5d6f">
+<!ENTITY libgpg-error-md5   "133fed221ba8f63f5842858a1ff67cb3">
+<!ENTITY libgcrypt-md5      "edc7becfe09c75d8f95ff7623e40c52e">
+<!ENTITY libksba-md5        "d333b2e1381068d4f9a328240f062f0f">
+<!ENTITY libtasn1-md5       "c46f6eb3bd1287031ae5d36465094402">
+<!ENTITY libxml2-md5        "f433a39be087a9f0b197eb2307ad9f75">
+<!ENTITY libxml2-testsuite-md5 "ef8fbe0c92efd9a60d7f320e211d10b2">
+<!ENTITY make-ca-md5        "957c39206ba0e9139807c5a47535747f">
+<!ENTITY nettle-md5         "a60273d0fab9c808646fcf5e9edc2e8f">
+<!ENTITY npth-md5           "375d1a15ad969f32d25f1a7630929854">
+<!ENTITY p11-kit-md5        "8ccf11c4a2e2e505b8e516d8549e64a5">
+<!ENTITY pacman-md5         "f71e6f06867749735960d0c1d199d375">
+<!ENTITY pacman-contrib-md5 "98bfa108b24e35b100100588392103ae">
+<!ENTITY pacman-contrib-patch-md5 "f8033bfd8ae8e8c72ca12d5e5955bb95">
+<!ENTITY pacman-hooks-md5   "721fd08ae68cae1a0f0f849436c51145">
+<!ENTITY pip-md5            "e459d41a10ce33688b5d389216a8876f">
+<!ENTITY pth-md5            "9cb4a25331a4c4db866a31cbe507c793">
+<!ENTITY setuptools-md5     "d9715b19a0d894539285655fd5c69109">
+<!ENTITY sqlite-md5         "f5752052fc5b8e1b539af86a3671eac7">
+<!ENTITY sqlite-doc-md5     "9abe65c7295fd0a2462f7c61f95400fd">
+<!ENTITY unzip-md5          "62b490407489521db863b523a7f86375">
+<!ENTITY unzip-patch-md5    "14c119ef7019f769497363e5cec306e0">
 <!ENTITY % general-entities SYSTEM "BOOK/general.ent">
 %general-entities;
 ]>
